org.eclipse.emf.cdo.view

## Interface CDOViewOpener

- All Known Subinterfaces:
    CDONet4jSession, CDORepository, CDOSession, CDOSession, CDOTransactionContainer, CDOViewContainer, InternalCDOSession

      public interface CDOViewOpener

  Can open new `views`.
  Since:
    4.4
  Author:
    Eike Stepper
  Apiviz

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOView` | `openView(CDOBranchPoint target, ResourceSet resourceSet)` Opens and returns a new `view` on the given EMF `resource set`.
    `CDOView` | `openView(java.lang.String durableLockingID, ResourceSet resourceSet)` Opens and returns a `view` on the given EMF `resource set` by resuming a view that has previously been made durable by calling `CDOView.enableDurableLocking(true)`.

- - ### Method Detail

    - #### openView

          CDOView openView(CDOBranchPoint target,
                           ResourceSet resourceSet)

      Opens and returns a new `view` on the given EMF `resource set`.

    - #### openView

          CDOView openView(java.lang.String durableLockingID,
                           ResourceSet resourceSet)

      Opens and returns a `view` on the given EMF `resource set` by resuming a view that has previously been made durable by calling `CDOView.enableDurableLocking(true)`.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html